<?php
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

//New Version information
db_query("UPDATE `{$db_prefix}settings` SET `value` = '2.0' WHERE `variable` = 'shopVersion'", __FILE__, __LINE__);
db_query("UPDATE `{$db_prefix}settings` SET `value` = '28th December 2005' WHERE `variable` = 'shopDate'", __FILE__, __LINE__);
db_query("UPDATE `{$db_prefix}settings` SET `value` = '8' WHERE `variable` = 'shopBuild'", __FILE__, __LINE__);

//Make description field longer
db_query("ALTER TABLE `{$db_prefix}shop_items` CHANGE `desc` `desc` TEXT NOT NULL", __FILE__, __LINE__);

//Change 'amount paid' field to decimal (it should have been like this in the first place
db_query("ALTER TABLE `{$db_prefix}shop_inventory` CHANGE `amtpaid` `amtpaid` DECIMAL(8, 2) DEFAULT '0.00' NOT NULL", __FILE__, __LINE__);

//Change member's money fields to decimal
db_query("ALTER TABLE `{$db_prefix}members` CHANGE `money` `money` DECIMAL(9, 2) UNSIGNED DEFAULT '0' NOT NULL, CHANGE `moneyBank` `moneyBank` DECIMAL(9, 2) UNSIGNED DEFAULT '0' NOT NULL", __FILE__, __LINE__);

//Add trading fields to inventory
db_query("ALTER TABLE `{$db_prefix}shop_inventory` ADD `trading` TINYINT(1) UNSIGNED NOT NULL, ADD `tradecost` DECIMAL(8, 2) NOT NULL", __FILE__, __LINE__);

//add trade enabled setting
db_query("INSERT INTO `{$db_prefix}settings` ( `variable` , `value` ) VALUES ('shopTradeEnabled', '1')", __FILE__, __LINE__);


echo "<b><center>Upgrade from SMFShop 1.31 to 2.0 completed successfully!</center></b>";

?>